#include "Random.hh"
#include <stdlib.h>


void MyRandomSeed (const int seed) {
	srand(seed);
}

double MyRandom () {
	return rand()/double(RAND_MAX);  
}

int MyRandom (const int n) {
	return rand()%n;
}

int MyRandom (const int low, const int high) {
	return rand()%(high-low+1)+low;
}

bool MyRandom (const double p) {
	if (p>=1.0) return true;
	if (p<=0.0) return false;
	return MyRandom()<=p;
}
